Update Message
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/messages/{messageId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadId": "dd56a3d0-dba7-4df0-b62b-58513230b053",
"reaction": "POSITIVE"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/messages/{messageId}"
payload = {
"threadId": "dd56a3d0-dba7-4df0-b62b-58513230b053",
"reaction": "POSITIVE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({threadId: 'dd56a3d0-dba7-4df0-b62b-58513230b053', reaction: 'POSITIVE'})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/messages/{messageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated the message successfully",
"data": null
}Messages
Update Message
Update message that belongs to a particular thread. You can only add reaction to the message for now.
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
messages
/
{messageId}
Update Message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot that the message belong to
Id of the message that has to be updated
Body
application/json
Request Body to update message
Was this page helpful?
⌘I